View Issue Details

IDProjectCategoryLast Update
0021285AI War 2[All Projects] GUIJul 28, 2019 3:29 pm
ReporterBadgerBadgerAssigned ToDominus Arbitrationis 
Severityminor 
Status resolvedResolutionfixed 
Product VersionBETA 0.867 Smarter AI, Better Mark Spread, Player Economic Boom 
Fixed in Version0.877 The Strikecraft Goldilocks Zone 
Summary0021285: Tutorial AI type can be selected in lobby
DescriptionIt looks like the new lobby does not respect the is_hidden flag on on Special Factions.

Also it looks like the is_hidden flag is placed capriciously on various AI types that I don't think want to be hidden. For example, Simple Ensemble has the is_hidden flag set.

I don't really know the new lobby code so I'm leaving it for you, Chris.
TagsNo tags attached.

Activities

BadgerBadger

Jun 8, 2019 11:45 am

manager   ~0051898

Spotted thanks to a save game from major domo.

BadgerBadger

Jul 23, 2019 12:23 pm

manager   ~0052304

Looks like we need to check for this in Window_SetupFactionsTab.cs --> PopulateSubclassControls

We need to check whether the AI Type has IsHidden == true

Dominus Arbitrationis

Jul 28, 2019 3:29 pm

administrator   ~0052341

Should be resolved. I added a check to SpecialFactionData under the dropdowns so it should be added if it is marked as hidden.

Issue History

Date Modified Username Field Change
Jun 8, 2019 11:45 am BadgerBadger New Issue
Jun 8, 2019 11:45 am BadgerBadger Status new => assigned
Jun 8, 2019 11:45 am BadgerBadger Assigned To => x4000Bughunter
Jun 8, 2019 11:45 am BadgerBadger Note Added: 0051898
Jul 23, 2019 12:23 pm BadgerBadger Note Added: 0052304
Jul 28, 2019 3:29 pm Dominus Arbitrationis Assigned To x4000Bughunter => Dominus Arbitrationis
Jul 28, 2019 3:29 pm Dominus Arbitrationis Status assigned => resolved
Jul 28, 2019 3:29 pm Dominus Arbitrationis Resolution open => fixed
Jul 28, 2019 3:29 pm Dominus Arbitrationis Fixed in Version => 0.877 The Strikecraft Goldilocks Zone
Jul 28, 2019 3:29 pm Dominus Arbitrationis Note Added: 0052341